
QGIS Application - Bug report #16337

Wrong CRS displayed in status bar

2017-03-10 01:36 AM - Saber Razmjooei

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Projection Support

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24247

Description

This is related to the new feature (https://github.com/qgis/QGIS/pull/4198) to set the OTF on as default.

To reproduce the issue:

1- Under Settings > Options > CRS set your default CRS to British National Grid (EPSG:27700)

2- Restart QGIS > you should see EPSG:27700 in the status bar

3- Add the world.shp (EPSG:4326)

4- The CRS is still showing EPSG:27700

5- Add somerset.shp (EPSG: 27700) > The canvas is reprojecting the layer to EPSG:4326

Confusing points:

1- Why doesn't the EPSG in the status bar get updated to EPSG:4326 (see point 4)

2- If user sets the canvas to default CRS for canvas to EPSG:27700 (point 1) why the canvas changes to the first layer CRS?

Associated revisions

Revision 0afc88e0 - 2017-03-14 07:45 AM - Nyall Dawson

Make sure main canvas is always synced to project CRS (part 1)

Fix #16337

History

#1 - 2017-03-10 01:37 AM - Saber Razmjooei

- File somerset.zip added

#2 - 2017-03-10 05:19 AM - Giovanni Manghi

- Target version set to Version 3.0

- Category set to Projection Support

#3 - 2017-03-13 11:40 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"0afc88e07f4d526279f5ac640bc386c562b71d99".

Files

world.zip 3.94 MB 2017-03-10 Saber Razmjooei
somerset.zip 132 KB 2017-03-10 Saber Razmjooei
